Get token status for all platforms
curl --request GET \
--url https://app.autoposting.ai/api-proxy/brands/{slug}/auth/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.autoposting.ai/api-proxy/brands/{slug}/auth/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.autoposting.ai/api-proxy/brands/{slug}/auth/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"x": {
"connected": true,
"tokenExpired": false,
"accounts": [
{
"platformUserId": "x_12345",
"username": "@acmecorp",
"tokenId": "tok_01HXYZ"
}
]
},
"linkedin": {
"connected": true,
"tokenExpired": false,
"accounts": [
{
"platformUserId": "lin_abc123",
"username": "Acme Corp",
"tokenId": "tok_02HXYZ"
}
]
},
"instagram": {
"connected": false,
"tokenExpired": false,
"accounts": []
},
"threads": {
"connected": false,
"tokenExpired": false,
"accounts": []
},
"youtube": {
"connected": false,
"tokenExpired": false,
"accounts": []
}
}
}{
"success": false,
"error": "unauthorized",
"message": "Missing or invalid API key."
}Platform OAuth
Get token status for all platforms
Returns connection status for all platforms on a brand — which are connected and which have expired tokens.
GET
/
brands
/
{slug}
/
auth
/
status
Get token status for all platforms
Was this page helpful?
⌘I

